Bug 743169 - FTBFS: needs update for sexplib 7.0.4
FTBFS: needs update for sexplib 7.0.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpmdepsize (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: 843266 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 23:22 EDT by Michael Ekstrand
Modified: 2012-08-01 05:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 05:55:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ekstrand 2011-10-03 23:22:54 EDT
Description of problem:
rpmdepsize fails to build from source on Rawhide after upgrading to sexplib 7.0.4.

Version-Release number of selected component (if applicable):
rpmdepsize-1.0-7

How reproducible:
Always

Steps to Reproduce:
1. Attempt to rebuild rpmdepsize from source with ocaml-sexplib >= 7.0.4-1.fc?
  
Actual results:
Fails with unknown value 'list_of_sexp'

Expected results:
Successfully builds.


Additional info:
Recent versions of sexplib require code using the syntax extension to 'open Sexplib.Std' to make the standard converters available to generated code.
Comment 1 Richard W.M. Jones 2012-08-01 05:55:03 EDT
Fixed:
http://koji.fedoraproject.org/koji/packageinfo?packageID=8450
Comment 2 Richard W.M. Jones 2012-08-01 05:55:23 EDT
*** Bug 843266 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.